﻿<?xml version="1.0" encoding="utf-8"?>
<EntityRelationships>
  <EntityRelationship Name="price_level_accounts">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <ReferencingEntityName>Account</ReferencingEntityName>
    <ReferencedEntityName>PriceLevel</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>Restrict</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>DefaultPriceLevelId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the default price list associated with the account." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="defaultpricelevelid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" lookuptypes="1022">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Price List" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="price_level_contacts">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <ReferencingEntityName>Contact</ReferencingEntityName>
    <ReferencedEntityName>PriceLevel</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>Restrict</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>DefaultPriceLevelId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the default price list for the contact." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="defaultpricelevelid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" lookuptypes="1022">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Price List" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="price_level_opportunties">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <ReferencingEntityName>Opportunity</ReferencingEntityName>
    <ReferencedEntityName>PriceLevel</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>PriceLevelId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the price list associated with the opportunity." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="pricelevelid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" lookuptypes="1022">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>0</IsAuditEnabled>
      <displaynames>
        <displayname description="Price List" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="PriceLevel_ProcessSessions">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <ReferencingEntityName>ProcessSession</ReferencingEntityName>
    <ReferencedEntityName>PriceLevel</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>NoCascade</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>RegardingObjectId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the object with which the dialog session is associated." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="regardingobjectid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" format="regarding">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Regarding" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
  <EntityRelationship Name="PriceList_Campaigns">
    <EntityRelationshipType>OneToMany</EntityRelationshipType>
    <ReferencingEntityName>Campaign</ReferencingEntityName>
    <ReferencedEntityName>PriceLevel</ReferencedEntityName>
    <CascadeAssign>NoCascade</CascadeAssign>
    <CascadeDelete>RemoveLink</CascadeDelete>
    <CascadeReparent>NoCascade</CascadeReparent>
    <CascadeShare>NoCascade</CascadeShare>
    <CascadeUnshare>NoCascade</CascadeUnshare>
    <ReferencingAttributeName>PriceListId</ReferencingAttributeName>
    <RelationshipDescription>
      <Descriptions>
        <Description description="Unique identifier of the price list for the campaign." languagecode="1033" />
      </Descriptions>
    </RelationshipDescription>
    <field name="pricelistid" requiredlevel="none" imemode="auto" lookupstyle="single" lookupbrowse="0" lookuptypes="1022">
      <IsSecured>0</IsSecured>
      <DisplayMask>ValidForAdvancedFind|ValidForForm|ValidForGrid</DisplayMask>
      <IsAuditEnabled>1</IsAuditEnabled>
      <displaynames>
        <displayname description="Price List" languagecode="1033" />
      </displaynames>
    </field>
  </EntityRelationship>
</EntityRelationships>